#
# spec file for package linux_pcnfsd2 (Version 1.6)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           linux_pcnfsd2
License:        zlib
Group:          Networking/File transfer
Requires:       net-tools
AutoReqProv:    on
Version:        1.6
Release:        %mkrel 6
Summary:        RPC Server That Supports ONC Clients
Source:         linux_pcnfsd2.tar.gz
Source1:        pcnfsd
Source2:        sysconfig.pcnfsd
Patch1:         linux_pcnfsd2.dif
Patch2:         linux_pcnfsd2-format-security.patch
Patch3:         linux_pcnfsd2-libtirpc.patch
Patch4:         linux_pcnfsd2-1.6-mga-ipv6-rpc.patch
Url:            https://build.opensuse.org/package/show/openSUSE:Leap:42.1/linux_pcnfsd2
BuildRequires:  pkgconfig(libtirpc)

%description
RPC server that supports ONC clients on PC (DOS, OS/2, Macintosh, and
other) systems.

%prep
%setup -q -n %{name}
%patch1
%patch2 -p1 -b .FMT
%patch3 -p1
%patch4 -p1

%build
make -f Makefile.linux

%install
install -d -m 755 $RPM_BUILD_ROOT{/usr/sbin,%{_mandir}/man8}
install linux/clnt.pcnfsd linux/rpc.pcnfsd $RPM_BUILD_ROOT/usr/sbin
install -m 644 pcnfsd.8c $RPM_BUILD_ROOT/%{_mandir}/man8
ln -sf pcnfsd.8c.gz $RPM_BUILD_ROOT/%{_mandir}/man8/rpc.pcnfsd.8c.gz
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{S:2} $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -d $RPM_BUILD_ROOT/etc/init.d
install -m 744 %{S:1} $RPM_BUILD_ROOT/etc/init.d/
ln -sf ../../etc/init.d/pcnfsd $RPM_BUILD_ROOT/usr/sbin/rcpcnfsd

%post
%_post_service pcnfsd

%preun
%_preun_service pcnfsd

%files
%doc README
%doc %{_mandir}/man8/*
/usr/sbin/*
%config /etc/init.d/*
/var/adm/fillup-templates/sysconfig.pcnfsd



%changelog
* Wed Nov 16 2022 danf <danf> 1.6-6.mga9
+ Revision: 1907863
- Add ipv6-rpc.patch to fix building with libtirpc ver. 1.3.3
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ luigiwalser <luigiwalser>
- try building with libtirpc

* Thu Feb 13 2020 umeabot <umeabot> 1.6-4.mga8
+ Revision: 1514733
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.6-3.mga7
+ Revision: 1299317
- Mageia 7 Mass Rebuild

* Tue Jun 21 2016 shlomif <shlomif> 1.6-2.mga6
+ Revision: 1037031
- Remove unnecessary info from the description - thanks to tv

* Tue Jun 21 2016 shlomif <shlomif> 1.6-1.mga6
+ Revision: 1037025
- Fix rel tag
- Importing from openSUSE - thanks

